import java.awt.*;

class Helper extends Frame {
  public Helper(String title, String help) {
    super(title);
    setLayout(new BorderLayout());
    TextArea ta = new TextArea(15,50);
    ta.setEditable(false);
    ta.setText(help);
    add("Center", ta);
    add("South", new Button("OK"));
    pack();
    show();
  }  // help_the_user

  public boolean handleEvent(Event e) {
    if (e.id == Event.ACTION_EVENT) {
      if (e.target instanceof Button) {
	String label = (String) e.arg;
	if (label.equals("OK")) {
	  show(false);
	  dispose();
 	  return true;
	}
      }  // Button
    }
  return false;
  }  // handleEvent
}  // Helper
